## com.baidubce.services.bos.model
Enum Permission

    java.lang.Object
      java.lang.Enum<Permission>
          com.baidubce.services.bos.model.Permission

All Implemented Interfaces:
  Serializable, Comparable<Permission>

    public enum Permission

extends Enum<Permission>

Specifies constants defining an access permission,. Only a limited set of permission are available; each one is represented as a value in this enumeration.

Enum Constant Summary
`FULL_CONTROL`
`GetObject`
`LIST`
`READ`
`WRITE`

Method Summary
`static Permission` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Permission[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FULL_CONTROL

    public static final Permission FULL_CONTROL

### READ

    public static final Permission READ

### WRITE

    public static final Permission WRITE

### LIST

    public static final Permission LIST

### GetObject

    public static final Permission GetObject

Method Detail

### values

    public static Permission[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Permission c : Permission.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Permission valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2016. All rights reserved.